Debian Bug report logs - #701776
fsck.btrfs do not accept -a so the system will not boot anymore

version graph

Package: btrfs-tools; Maintainer for btrfs-tools is Dimitri John Ledkov <xnox@debian.org>; Source for btrfs-tools is src:btrfs-tools.

Reported by: Klaus Ethgen <Klaus@Ethgen.de>

Date: Tue, 26 Feb 2013 23:18:01 UTC

Severity: serious

Found in version btrfs-tools/0.19+20130131-1

Fixed in version btrfs-tools/0.19+20130131-2

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Tue, 26 Feb 2013 23:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ethgen <Klaus@Ethgen.de>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Tue, 26 Feb 2013 23:18:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klaus Ethgen <Klaus@Ethgen.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 00:14:07 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Package: btrfs-tools
Version: 0.19+20130131-1
Severity: important

The new fsck.btrfs do not ignore »-a« or handle it propperly as other
fsck do. Do this version breaks package initscripts. When a system
start, checkfs.sh will check all file systems but the check of btrfs
fails as the tool has not the same usage than other.

As this has a major impact to the boot of the system (System will not
boot anymore without manual intervention, it has a high priority.

- -- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (800, 'unstable'), (700, 'stable'), (110, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.7.5 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=de_DE, LC_CTYPE=de_DE (charmap=ISO-8859-1) (ignored: LC_ALL set to de_DE)
Shell: /bin/sh linked to /bin/dash

Versions of packages btrfs-tools depends on:
ii  e2fslibs    1.42.5-1
ii  libblkid1   2.20.1-5.3
ii  libc6       2.13-38
ii  libcomerr2  1.42.5-1
ii  libuuid1    2.20.1-5.3
ii  zlib1g      1:1.2.7.dfsg-13

btrfs-tools recommends no packages.

Versions of packages btrfs-tools suggests:
ii  python  2.7.3-4

- -- no debconf information

- -- 
Klaus Ethgen                              http://www.ethgen.ch/
pub  4096R/4E20AF1C 2011-05-16   Klaus Ethgen <Klaus@Ethgen.de>
Fingerprint: 85D4 CA42 952C 949B 1753  62B3 79D0 B06F 4E20 AF1C
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQGcBAEBCgAGBQJRLUG9AAoJEKZ8CrGAGfasWTsL/0wQayWgqWlOV2iEuWFWPV70
X5VXh04oLvTTipJo/fqVH5KzHgxR9i6Cgkj1iHvp5cj89ZCps/s33ijSEx852ugV
kHoKj9cbMRtoxxBMM4ChxHQPjX+3utg5btGGkRZtigliUX+ISAEEJdvT4xqrUeyy
IFHZBgh1zT3SCOndWoa6iSBbsluKoAua64CHaWhUCjJ5Wrkcf2rbJ1NTA3BHNCn8
pSyY96yDOUqiuYRIz2g/MQBds3xUyITe02ZtJGxe+e9uliDz9UsQW7tkJBVzqx8D
UYXFbkg01NeamHuGra0uES22lGOV4K2oSwMXBWMA2h0lseO0lB+uu11pyzEqn2oV
udiTappqdt6HDmhQiPCc4TnKf8NJzkiurURueZxZhd0LLH6tqzG5kTLaDRW1KeXr
2LWKdFAa0j20cbdqYp2OG1UFFkrA3s34b816AN628Sb4xXPyJ/vWuydx8g8aURyM
wTph+m4qRlAwgZPp73ofx9K6cvAMeUaQHsNlq2sdUg==
=yJcC
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 08:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 08:45:04 GMT) Full text and rfc822 format available.

Message #10 received at 701776@bugs.debian.org (full text, mbox):

From: Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
To: 701776@bugs.debian.org
Subject: Re: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 09:43:43 +0100
I can confirm that it's impossible to boot on a btrfs root partition
with the new btrfs-tools package.

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 12:42:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 12:42:07 GMT) Full text and rfc822 format available.

Message #15 received at 701776@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 701776@bugs.debian.org
Cc: Klaus Ethgen <Klaus@Ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: #701776: Breaks whole system -> raise severity
Date: Wed, 27 Feb 2013 13:37:51 +0100
Control: severity -1 critical

This issue renders systems with btrfs root file-system unbootable.
Pursuant to http://www.debian.org/Bugs/Developer.en.html#severities
this is of severity "critical": "makes unrelated software on the
system (or the whole system) break".

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Severity set to 'critical' from 'important' Request was from Axel Beckert <abe@debian.org> to 701776-submit@bugs.debian.org. (Wed, 27 Feb 2013 12:42:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 13:09:03 GMT) Full text and rfc822 format available.

Message #22 received at 701776@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 701776@bugs.debian.org
Cc: Klaus Ethgen <Klaus@Ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: Re: Bug#701776: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 14:05:34 +0100
Control: tag -1 + patch

Hi,

Klaus Ethgen wrote:
> Package: btrfs-tools
> Version: 0.19+20130131-1
> Severity: important
> 
> The new fsck.btrfs do not ignore »-a« or handle it propperly as other
> fsck do. Do this version breaks package initscripts. When a system
> start, checkfs.sh will check all file systems but the check of btrfs
> fails as the tool has not the same usage than other.

I think the following packaging change caused this issue:

   * Dropping fsck.patch, not needed anymore.

Because this patch added code which made -a being accepted as option:

---snip---
Author: Sten Heinze <shze@gmx.de>
Description:
 Ignore all arguments starting with -a in btrfsck for the time being
 (Closes: #567681, #571300, #612809, #668832).

diff -Naurp btrfs-tools.orig/btrfsck.c btrfs-tools/btrfsck.c
--- btrfs-tools.orig/btrfsck.c  2012-06-13 15:24:54.790365642 +0200
+++ btrfs-tools/btrfsck.c       2012-06-13 15:54:55.954645699 +0200
@@ -3406,6 +3406,12 @@ static void print_usage(void)
        exit(1);
 }
 
+static void print_info(void)
+{
+       fprintf(stderr, "%s\n", BTRFS_BUILD_VERSION);
+       exit(0);
+}
+
 static struct option long_options[] = {
        { "super", 1, NULL, 's' },
        { "repair", 0, NULL, 0 },
@@ -3430,7 +3436,7 @@ int main(int ac, char **av)
 
        while(1) {
                int c;
-               c = getopt_long(ac, av, "", long_options,
+               c = getopt_long(ac, av, "anry", long_options,
                                &option_index);
                if (c < 0)
                        break;
@@ -3443,6 +3449,12 @@ int main(int ac, char **av)
                                break;
                        case '?':
                                print_usage();
+                                break;
+                       case 'n':
+                       case 'a':
+                       case 'r':
+                       case 'y':
+                               print_info();
                }
                if (option_index == 1) {
                        printf("enabling repair mode\n");
---snap---

Readding this patch (or at least the relevant parts thereof) should
fix the issue.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Added tag(s) patch. Request was from Axel Beckert <abe@debian.org> to 701776-submit@bugs.debian.org. (Wed, 27 Feb 2013 13:09:03 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'critical' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 27 Feb 2013 13:24:03 GMT) Full text and rfc822 format available.

Removed tag(s) patch. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 27 Feb 2013 13:24:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 27 Feb 2013 13:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 13:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 13:39:03 GMT) Full text and rfc822 format available.

Message #35 received at 701776@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Axel Beckert <abe@debian.org>, 701776@bugs.debian.org
Cc: Klaus Ethgen <Klaus@Ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: Re: Bug#701776: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 13:35:20 +0000
[Message part 1 (text/plain, inline)]
On 27/02/13 13:05, Axel Beckert wrote:
> Control: tag -1 + patch
> 
> Hi,
> 
> Klaus Ethgen wrote:
>> Package: btrfs-tools
>> Version: 0.19+20130131-1
>> Severity: important
>>
>> The new fsck.btrfs do not ignore »-a« or handle it propperly as other
>> fsck do. Do this version breaks package initscripts. When a system
>> start, checkfs.sh will check all file systems but the check of btrfs
>> fails as the tool has not the same usage than other.
> 
> I think the following packaging change caused this issue:
> 
>    * Dropping fsck.patch, not needed anymore.
> 
> Because this patch added code which made -a being accepted as option:
> 

But it shouldn't be needed anymore, now that cmd_check function in
cmds-check.c correctly takes 'a' argument and ignores it.

Does it exit with a non-zero exit code? or are additional args passed?
Or something like that causing boot failure.

-- 
Regards,
Dmitrijs.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 13:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 13:48:06 GMT) Full text and rfc822 format available.

Message #40 received at 701776@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 701776@bugs.debian.org, Klaus Ethgen <Klaus@Ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: Re: Bug#701776: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 14:46:23 +0100
Hi,

Dmitrijs Ledkovs wrote:
> > I think the following packaging change caused this issue:
> > 
> >    * Dropping fsck.patch, not needed anymore.
> > 
> > Because this patch added code which made -a being accepted as option:
> 
> But it shouldn't be needed anymore, now that cmd_check function in
> cmds-check.c correctly takes 'a' argument and ignores it.

Ok, thanks for the information. (I must admit, I haven't checked if
the patch still applies.)

> Does it exit with a non-zero exit code?

IIRC yes. Otherwise fsck wouldn't have aborted.

> or are additional args passed?

According to /var/log/fsck/checkroot it's called with "fsck -C -a -t
btrfs /run/rootdev". See also /etc/init.d/checkfs.sh.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 14:18:03 GMT) Full text and rfc822 format available.

Message #45 received at 701776@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Axel Beckert <abe@debian.org>
Cc: 701776@bugs.debian.org, Klaus Ethgen <Klaus@ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: Re: Bug#701776: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 14:16:04 +0000
[Message part 1 (text/plain, inline)]
On 27 February 2013 13:46, Axel Beckert <abe@debian.org> wrote:
> Hi,
>
> Dmitrijs Ledkovs wrote:
>> > I think the following packaging change caused this issue:
>> >
>> >    * Dropping fsck.patch, not needed anymore.
>> >
>> > Because this patch added code which made -a being accepted as option:
>>
>> But it shouldn't be needed anymore, now that cmd_check function in
>> cmds-check.c correctly takes 'a' argument and ignores it.
>
> Ok, thanks for the information. (I must admit, I haven't checked if
> the patch still applies.)
>
>> Does it exit with a non-zero exit code?
>
> IIRC yes. Otherwise fsck wouldn't have aborted.
>
>> or are additional args passed?
>
> According to /var/log/fsck/checkroot it's called with "fsck -C -a -t
> btrfs /run/rootdev". See also /etc/init.d/checkfs.sh.
>

Does something like in the attached patch works?

Regards,

Dmitrijs.
[fix-up-fsck.patch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 15:15:03 GMT) Full text and rfc822 format available.

Message #50 received at 701776@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 701776@bugs.debian.org, Klaus Ethgen <Klaus@ethgen.de>, Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
Subject: Re: Bug#701776: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Wed, 27 Feb 2013 16:11:30 +0100
Hi Dmitrijs,

Dmitrijs Ledkovs wrote:
> > According to /var/log/fsck/checkroot it's called with "fsck -C -a -t
> > btrfs /run/rootdev". See also /etc/init.d/checkfs.sh.
> 
> Does something like in the attached patch works?

Unfortunately not:

fsck still aborts with the error message "Unknown option: -a" and
"usage btrfs [--help] [--version] <group> [<group>...] <command>
[<target>]". The exit status of fsck is 129.

I double checked that I've applied your patch via "quilt applied" in
the source tree from which I build the package. Interestingly it
really argues about "-a", not about the "-C" or "-t" which your patch
touches.

I can reproduce the issue by running "fsck -C -a -t btrfs
/run/rootdev" on the commandline (in the maintenance shell I get after
entering the root password). Doesn't happen with the version of
btrfs-tools in Wheezy.

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Reply sent to Daniel Baumann <daniel.baumann@progress-technologies.net>:
You have taken responsibility. (Wed, 27 Feb 2013 18:36:03 GMT) Full text and rfc822 format available.

Notification sent to Klaus Ethgen <Klaus@Ethgen.de>:
Bug acknowledged by developer. (Wed, 27 Feb 2013 18:36:03 GMT) Full text and rfc822 format available.

Message #55 received at 701776-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 701776-close@bugs.debian.org
Subject: Bug#701776: fixed in btrfs-tools 0.19+20130131-2
Date: Wed, 27 Feb 2013 18:32:33 +0000
Source: btrfs-tools
Source-Version: 0.19+20130131-2

We believe that the bug you reported is fixed in the latest version of
btrfs-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 701776@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@progress-technologies.net> (supplier of updated btrfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 27 Feb 2013 18:36:05 +0100
Source: btrfs-tools
Binary: btrfs-tools btrfs-tools-udeb btrfs-tools-dbg
Architecture: source i386
Version: 0.19+20130131-2
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Changed-By: Daniel Baumann <daniel.baumann@progress-technologies.net>
Description: 
 btrfs-tools - Checksumming Copy on Write Filesystem utilities
 btrfs-tools-dbg - Checksumming Copy on Write Filesystem utilities (debug)
 btrfs-tools-udeb - Checksumming Copy on Write Filesystem utilities (udeb) (udeb)
Closes: 701776
Changes: 
 btrfs-tools (0.19+20130131-2) unstable; urgency=low
 .
   * Replacing fsck.btrfs with wrapper arround 'btrfs check' to avoid
     different behaviour based on the filename btrfs is copied to (Closes:
     #701776).
Checksums-Sha1: 
 afdc2ccece618a00ae3057f281479439f58dd4ae 1353 btrfs-tools_0.19+20130131-2.dsc
 6e1dd56b91bce0675509088d13be2bd53d623b47 8468 btrfs-tools_0.19+20130131-2.debian.tar.xz
 cf59327e79245b6c856749baca77c4648a30578b 290992 btrfs-tools_0.19+20130131-2_i386.deb
 122fae5d0ad7f1dd483335c39bf1c2b29e2e1047 152108 btrfs-tools-udeb_0.19+20130131-2_i386.udeb
 3647990f6d1b899c5ebb406220e38d505aac9cc0 3698680 btrfs-tools-dbg_0.19+20130131-2_i386.deb
Checksums-Sha256: 
 7f7175d000dc810c4ad3b2b55db6606e31743a2420c383c501ab174c3bee7c21 1353 btrfs-tools_0.19+20130131-2.dsc
 14a5f37c1b86f481a1ce68183e0f581137607f1656f7451265e6c5a9f3abcf6b 8468 btrfs-tools_0.19+20130131-2.debian.tar.xz
 ff14b7ff61f6bb6ecad231713110fa9c7b066f2e917a74484fe2650950cd3b51 290992 btrfs-tools_0.19+20130131-2_i386.deb
 12298d7c0793f6e0faea4d628153fac3036ea1b0f95b3e5b6c498bde02795dc7 152108 btrfs-tools-udeb_0.19+20130131-2_i386.udeb
 10f8d26fe0087252433b0addb6c7680228b6c78f9b4eb1b7869cefe4812c544b 3698680 btrfs-tools-dbg_0.19+20130131-2_i386.deb
Files: 
 153aaf56b5540f6e396fae26a35e0b2e 1353 admin optional btrfs-tools_0.19+20130131-2.dsc
 753478778560b154311d2f32dc3b4c21 8468 admin optional btrfs-tools_0.19+20130131-2.debian.tar.xz
 a8d9847e5542b9a8dcbf206e36bdce28 290992 admin optional btrfs-tools_0.19+20130131-2_i386.deb
 5e4a1cd0da2fa562c4b2b765d7404f1a 152108 debian-installer optional btrfs-tools-udeb_0.19+20130131-2_i386.udeb
 de229d1d9188cfae134d1209dab8a2e5 3698680 debug extra btrfs-tools-dbg_0.19+20130131-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlEuTh8ACgkQ+C5cwEsrK57Z0QCgkuTQytTe2vQhgAxauRBCCmEA
0QUAoMfT2YoAfoCmkVMvGHXn1PFIKl0o
=8ls6
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Wed, 27 Feb 2013 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Axel Beckert <abe@debian.org>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Wed, 27 Feb 2013 19:03:03 GMT) Full text and rfc822 format available.

Message #60 received at 701776@bugs.debian.org (full text, mbox):

From: Axel Beckert <abe@debian.org>
To: 701776@bugs.debian.org
Subject: Re: Bug#701776: marked as done (fsck.btrfs do not accept -a so the system will not boot anymore)
Date: Wed, 27 Feb 2013 20:01:30 +0100
Hi Daniel,

>  btrfs-tools (0.19+20130131-2) unstable; urgency=low
>  .
>    * Replacing fsck.btrfs with wrapper arround 'btrfs check' to avoid
>      different behaviour based on the filename btrfs is copied to (Closes:
>      #701776).

Thanks for the quick fix, but unfortunately the problem persists, just
with a different error message and a different exit-code, but with the
same symptom: The system fails to start.

check_mounted(): Could not open /run/rootdev
Could not check mount status: No such deivce or address
fsck died with exit status 250

Do you have any preference if #701776 should be reopend or if a new
bug should be filed for that?

		Regards, Axel
-- 
 ,''`.  |  Axel Beckert <abe@debian.org>, http://people.debian.org/~abe/
: :' :  |  Debian Developer, ftp.ch.debian.org Admin
`. `'   |  1024D: F067 EA27 26B9 C3FC 1486  202E C09E 1D89 9593 0EDE
  `-    |  4096R: 2517 B724 C5F6 CA99 5329  6E61 2FF9 CD59 6126 16B5



Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Thu, 28 Feb 2013 13:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Cuthbertson <ratcheer@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Thu, 28 Feb 2013 13:21:06 GMT) Full text and rfc822 format available.

Message #65 received at 701776@bugs.debian.org (full text, mbox):

From: Tim Cuthbertson <ratcheer@gmail.com>
To: 701776@bugs.debian.org
Subject: re: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Thu, 28 Feb 2013 07:16:25 -0600
[Message part 1 (text/plain, inline)]
I confirm Axel Beckert's statement in message #60. My system cannot boot
with the latest patch  0.19+20130131-2

Tim Cuthbertson
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel.baumann@progress-technologies.net>:
Bug#701776; Package btrfs-tools. (Mon, 04 Mar 2013 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel.baumann@progress-technologies.net>. (Mon, 04 Mar 2013 20:12:03 GMT) Full text and rfc822 format available.

Message #70 received at 701776@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: 701776@bugs.debian.org
Subject: Re: fsck.btrfs do not accept -a so the system will not boot anymore
Date: Mon, 4 Mar 2013 20:09:14 +0000
On Thu, Feb 28, 2013 at 07:16:25AM -0600, Tim Cuthbertson wrote:
> I confirm Axel Beckert's statement in message #60. My system cannot boot
> with the latest patch  0.19+20130131-2

Note that for compatibility with fsck you must support at a
minimum (even if you ignore them) the following options:

-y
-a
-C
-V

which are all required by checkroot.sh.  However, you should
really accept *all* options which can be passed to fsck; we
could well use additional options in the future, so you can't
guarantee that the minimal set required right now will be all
that is required.  For such a critical tool, this needs to be
done right.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux    http://people.debian.org/~rleigh/
 `. `'   schroot and sbuild  http://alioth.debian.org/projects/buildd-tools
   `-    GPG Public Key      F33D 281D 470A B443 6756 147C 07B3 C8BC 4083 E800



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Apr 2013 07:27:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:37:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.